[SRU] flash-kernel needs to support 'raspi' kernel flavors

Bug #1868071 reported by Juerg Haefliger on 2020-03-19
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
flash-kernel (Ubuntu)
High
Unassigned
Bionic
Medium
Unassigned
Focal
High
Unassigned

Bug Description

[Impact]

A kernel update for Bionic will shortly be released with the -raspi flavour instead of -raspi2. The current flash-kernel fails to recognize this as a valid kernel to install.

[Test Case]

* Install the updated flash-kernel from -proposed for bionic
* Enable proposed
* Install the proposed kernel
* Verify that flash-kernel runs successfully during the install
* Reboot and verify that the new kernel version is running

[Regression Potential]

Low; the only changes are to add the "raspi" flavour to the flash-kernel database (the existing "raspi2" flavour is not removed), and to add the rev 1.4 board of the Pi 4B (already present in Focal).

Original Description:

We're in the process of changing the kernel flavor name from 'raspi2' to 'raspi'. flash-kernel needs to recognize this new name as a valid flavor name.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in flash-kernel (Ubuntu Bionic):
status: New → Confirmed
Changed in flash-kernel (Ubuntu):
status: New → Confirmed
Changed in flash-kernel (Ubuntu Focal):
importance: Undecided → High
Changed in flash-kernel (Ubuntu Bionic):
importance: Undecided → Medium
Łukasz Zemczak (sil2100) wrote :

Sponsored flash-kernel for focal. Thanks!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package flash-kernel - 3.98ubuntu12

---------------
flash-kernel (3.98ubuntu12) focal; urgency=medium

  * Support "raspi" kernel flavor in addition to "raspi2" (LP: #1868071)
  * Permit initrd to be missing in flash-kernel and the pi u-boot script
    (LP: #1867791)
  * Backport optional initrd changes from upstream to reduce our delta
  * Move the container test from initramfs and kernel hooks to main to prevent
    flash-kernel ever running in a container (LP: #1863145)
  * Remove FLASH_KERNEL_SKIP; it's no longer used in livecd-rootfs

 -- Dave Jones <email address hidden> Mon, 23 Mar 2020 14:10:03 +0000

Changed in flash-kernel (Ubuntu Focal):
status: Confirmed → Fix Released
Juerg Haefliger (juergh) wrote :

When can we get this into Bionic? We're about to land a 5.4 raspi kernel...

Dave Jones (waveform) on 2020-06-30
summary: - flash-kernel needs to support 'raspi' kernel flavors
+ [SRU] flash-kernel needs to support 'raspi' kernel flavors
Dave Jones (waveform) on 2020-07-01
description: updated
Dave Jones (waveform) on 2020-07-01
description: updated
Dave Jones (waveform) on 2020-07-02
description: updated
tags: added: id-5f072a8bd360cb748bbe628f

Hello Juerg, or anyone else affected,

Accepted flash-kernel into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/flash-kernel/3.98ubuntu11~18.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

description: updated
Changed in flash-kernel (Ubuntu Bionic):
status: Confirmed → Fix Committed
tags: added: verification-needed verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

I have pinged Dave before he went off for holidays about this, and this was his answer:

19:31 @sil2100 that's the one for the +raspi flavour change - yes, that should be fine - I tested that yesterday IIRC (but memory's a bit fuzzy from yesterday!)

Indeed I see images building correctly. It's just a flavor addition so let's get this released.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package flash-kernel - 3.98ubuntu11~18.04.2

---------------
flash-kernel (3.98ubuntu11~18.04.2) bionic; urgency=medium

  * Support "raspi" kernel flavor in addition to "raspi2" (LP: #1868071)

 -- Dave Jones <email address hidden> Wed, 01 Jul 2020 13:38:22 +0000

Changed in flash-kernel (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for flash-kernel has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers